Package name
libgdata
Date
2012-07-25
Advisory ID
MDVSA-2012:111
Affected versions
2011 i586 , 2011 x86_64

Problem description

A vulnerability has been discovered and corrected in libgdata:

It was found that previously libgdata, a GLib-based library for
accessing online service APIs using the GData protocol, did not
perform SSL certificates validation even for secured connections. An
application, linked against the libgdata library and holding the
trust about the other side of the connection being the valid owner
of the certificate, could be tricked into accepting of a spoofed SSL
certificate by mistake (MITM attack) (CVE-2012-1177).

The updated packages have been patched to correct this issue.

Updated packages

2011 i586

 89a6a32f5646b3f0715f4b5aae9417da  2011/i586/libgdata7-0.6.6-3.1-mdv2011.0.i586.rpm
 2ae4cc4593558f7dbaf9be83332e08bf  2011/i586/libgdata-devel-0.6.6-3.1-mdv2011.0.i586.rpm
 791cf2dd05644c7f0cae18c6c4ef54f4  2011/i586/libgdata-i18n-0.6.6-3.1-mdv2011.0.i586.rpm 
 c7a06ba47e81e6698aadb34aa819c049  2011/SRPMS/libgdata-0.6.6-3.1.src.rpm

2011 x86_64

 04a57281b6795d1662bffef7c4d66563  2011/x86_64/lib64gdata7-0.6.6-3.1-mdv2011.0.x86_64.rpm
 a97a13fb019e5430775d6acac1368db7  2011/x86_64/lib64gdata-devel-0.6.6-3.1-mdv2011.0.x86_64.rpm
 725b3d53007a53b80cad2b790cb346aa  2011/x86_64/libgdata-i18n-0.6.6-3.1-mdv2011.0.x86_64.rpm 
 c7a06ba47e81e6698aadb34aa819c049  2011/SRPMS/libgdata-0.6.6-3.1.src.rpm

References